import React from 'react';
import { Modal, Form, Input, Button } from 'antd';

const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };
const FormItem = Form.Item;

export default (props) => {
  const { openfeiyang, onCancel, onFinish } = props;

  const [form] = Form.useForm();
  const [loading, setLoading] = React.useState(false);
  return (
    <Modal title="飞防" visible={openfeiyang} maskClosable={false} footer={null} onCancel={onCancel}>
      <Form {...formItemLayout} onFinish={onFinish} form={form}>
        <FormItem
          label="设备编号"
          name="deviceNo"
          rules={[{ required: true, message: '请输入设备编号' }]}
        >
          <Input placeholder="请输入" />
        </FormItem>
        <FormItem label=" " colon={false}>
          <Button type="default" onClick={onCancel}>
            取消
          </Button>
          <Button type="primary" loading={loading} htmlType="Submit" style={{ marginLeft: '2em' }}>
            确认
          </Button>
        </FormItem>
      </Form>
    </Modal>
  );
}